libqt5gui5_5.7.1+dfsg-3+b1_amd64.deb


Advertisement

Description

libqt5gui5 - Qt 5 GUI module

Distribution: Debian 9 (Stretch)
Repository: Debian Main amd64
Package name: libqt5gui5
Package version: 5.7.1+dfsg
Package release: 3+b1
Package architecture: amd64
Package type: deb
Installed size: 9.24 KB
Download size: 2.34 MB
Official Mirror: ftp.br.debian.org
Qt is a cross-platform C++ application framework. Qt's primary feature is its rich set of widgets that provide standard GUI functionality. The QtGui module extends QtCore with GUI functionality.

Alternatives

Replaces

  • libqt5egldeviceintegration5 << 5.6.0~beta+dfsg-5~
  • libqt5xcbqpa5 << 5.6.0~beta+dfsg-5~

    Download

    Source package: qtbase-opensource-src

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libqt5gui5 deb package:
      # sudo apt-get install libqt5gui5

    Changelog

    2017-01-11 - Dmitry Shachnev <mitya57@debian.org> qtbase-opensource-src (5.7.1+dfsg-3) unstable; urgency=medium * Backport upstream change to fix accessibility-related crashes (fix_accessibility_crash.diff; closes: #834750). * Backport upstream fix to make QGtk3Dialog not crash on Wayland (gtkdialogs_wayland.diff; closes: #850746). * Backport upstream change to stop unloading plugins in QPluginLoader and QFactoryLoader (stop_unloading_pluings.diff; closes: #845662).

    2016-12-25 - Dmitry Shachnev <mitya57@debian.org> qtbase-opensource-src (5.7.1+dfsg-2) unstable; urgency=medium * Backport upstream patch to fix build with gcc 6.3 and newer versions (gcc_6.3.diff; closes: #846996). * Update symbols files from buildds’ logs.

    2016-12-14 - Dmitry Shachnev <mitya57@debian.org> qtbase-opensource-src (5.7.1+dfsg-1) unstable; urgency=medium [ Dmitry Shachnev ] * New upstream final release. * Refresh qsettings_XDG_CONFIG_DIRS.diff and qsettings_simplify_logic.diff. * Build with system libdouble-conversion library (closes: #845372). * Convert to automatic dbgsym packages. * Bump documentation build-dependencies to 5.7.1. * Replace 5.7.1~20161021 with 5.7.1 in the symbols files. * Drop one optional symbol from debian/libqt5network5.symbols. * Make qtbase5-dev suggest default-libmysqlclient-dev. [ Lisandro Damián Nicanor Pérez Meyer ] * Remove a bogus double hostdatadir entry while configuring Qt. Thanks Nick Shaforostoff for the bug! (Closes: 847769).

    2016-11-20 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org> qtbase-opensource-src (5.7.1~20161021+dfsg-6) unstable; urgency=medium [ Dmitry Shachnev ] * Make libqt5network5 depend on libssl1.0.2. It will crash when only newer libssl versions are installed. * Backport upstream patch to fix build on x32 (fix_build_on_x32.diff). * Merge some more entries in the update-copyright script. [ Lisandro Damián Nicanor Pérez Meyer ] * Update symbols files with buildds' logs.

    2016-11-02 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org> qtbase-opensource-src (5.7.1~20161021+dfsg-5) unstable; urgency=medium * Switch libssl-dev to libssl1.0-dev. We can't yet use libssl 1.1.

    2016-11-01 - Dmitry Shachnev <mitya57@debian.org> qtbase-opensource-src (5.7.1~20161021+dfsg-4) unstable; urgency=medium * Drop Build-Conflicts: libmariadbclient-dev, should be no longer needed.

    2016-11-01 - Dmitry Shachnev <mitya57@debian.org> qtbase-opensource-src (5.7.1~20161021+dfsg-3) unstable; urgency=medium * Change build-dependency libmysqlclient-dev → default-libmysqlclient-dev. * Upload to unstable.

    2016-10-28 - Dmitry Shachnev <mitya57@debian.org> qtbase-opensource-src (5.7.1~20161021+dfsg-2) experimental; urgency=medium * Backport two patches to add proper support for XDG_CONFIG_DIRS to QSettings; needed for LXQt transition (qsettings_simplify_logic.diff, qsettings_XDG_CONFIG_DIRS.diff). * Configure with -no-use-gold-linker on i386 to work around build failures of qtscript and qtgraphicaleffects (see binutils bug #842304). * Update symbols files from buildds’ logs.

    2016-10-21 - Dmitry Shachnev <mitya57@debian.org> qtbase-opensource-src (5.7.1~20161021+dfsg-1) experimental; urgency=medium [ Dmitry Shachnev ] * New upstream snapshot. * Drop debian/patches/qdevicediscovery_dummy.diff, applied upstream. * Update the copyright script to use a stricter formula for GPL-2 license. * Update debian/copyright. * Install the qtpng static library in qtbase5-dev (following upstream). * Update the symbols files from amd64 build log. * Bump qtbase-abi version to 5-7-1. [ Lisandro Damián Nicanor Pérez Meyer ] * Require pkg-kde-tools (>= 0.15.17~) to allow using backported versions.

    2016-07-05 - Dmitry Shachnev <mitya57@debian.org> qtbase-opensource-src (5.7.0+dfsg-3) experimental; urgency=medium * Replace qdevicediscovery_dummy.diff with a proper patch from upstream. * Update debian/libqt5dbus5.symbols once again. * Mark private symbols using pkgkde-mark-qt5-private-symbols.

    Advertisement
    Advertisement